### Constructor

# Gimp Image new_with_precision

#### Declaration [src]

    GimpImage*
    gimp_image_new_with_precision (
      gint width,
      gint height,
      GimpImageBaseType type,
      GimpPrecision precision
    )

#### Description [src]

Creates a new image with the specified width, height, type and precision.

Creates a new image, undisplayed with the specified extents, type and precision. Indexed images can only be created at GIMP_PRECISION_U8_NON_LINEAR precision. See `gimp_image_new()` for further details.

Available since: | 2.10

#### Parameters

`width` | `gint`
| The width of the image.
`height` | `gint`
| The height of the image.
`type` | `GimpImageBaseType`
| The type of image.
`precision` | `GimpPrecision`
| The precision.

#### Return value

Returns: | `GimpImage`
| The newly created image.
| The data is owned by the called function.